/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */
import {
    AggregateProjectionData,
    IProjectionData,
    ISecondsAnalytics,
    ProjectionData,
    SubDict,
    ZoneDict
} from "src/classLibrary/APIModels/analytics/CommonAnalyticModels";

export class ZoneSubcontractorSecondResponse implements IProjectionData, ISecondsAnalytics {
    public data: ProjectionData;

    public seconds: AggregateProjectionData;

    public zones: ZoneDict;

    public subcontractors: SubDict;

    constructor(data: ProjectionData, seconds: AggregateProjectionData, zones: ZoneDict, subcontractors: SubDict) {
        this.data = data;
        this.seconds = seconds;
        this.zones = zones;
        this.subcontractors = subcontractors;
    }
}
